WC(1)

NAME
wc - Print newline, word, and byte counts for each FILE, and a total line if more than one FILE is specified.

SYNOPSIS
wc [-c|--bytes] [-m|--chars] [--files0-from] [-l|--lines] [-L|--max-line-length] [--total] [-w|--words] [-h|--help] [-V|--version] [files]

DESCRIPTION
Print newline, word, and byte counts for each FILE, and a total line if more than one FILE is specified.

OPTIONS

-c, --bytes
    print the byte counts

-m, --chars
    print the character counts

--files0-from <F>
    read input from the files specified by NUL-terminated names in file F; If F is - then read names from standard input

-l, --lines
    print the newline counts

-L, --max-line-length
    print the length of the longest line

--total <WHEN>
    when to print a line with total counts; WHEN can be: auto, always, only, never

-w, --words
    print the word counts

-h, --help
    Print help

-V, --version
    Print version

[files]

EXTRA
## Examples Count all lines in a file: wc {{[-l|--lines]}} {{path/to/file}} Count all words in a file: wc {{[-w|--words]}} {{path/to/file}} Count all bytes in a file: wc {{[-c|--bytes]}} {{path/to/file}} Count all characters in a file (taking multi-byte characters into account): wc {{[-m|--chars]}} {{path/to/file}} Count all lines, words, and bytes from `stdin`: {{find .}} | wc Count the length of the longest line in number of characters: wc {{[-L|--max-line-length]}} {{path/to/file}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0